Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor Class Reference

Advisor for updating current table. More...

`#include <extensional.hh>`

## Protected Attributes

const Range * | _fst
| First range of support data structure.
const Range * | _lst
| Last range of support data structure.
Protected Attributes inherited from Gecode::ViewAdvisor< View >
View | x
| The single view.

## Constructors

| CTAdvisor (Space &home, Propagator &p, Council< CTAdvisor > &c, const TupleSet &ts, View x0, int i)
| Initialise from parameters.
| CTAdvisor (Space &home, CTAdvisor &a)
| Clone advisor a.
void | adjust (void)
| Adjust supports.
const Range * | fst (void) const
| Return first range of support data structure.
const Range * | lst (void) const
| Return lasst range of support data structure.
void | dispose (Space &home, Council< CTAdvisor > &c)
| Dispose advisor.

## Additional Inherited Members

Public Member Functions inherited from Gecode::ViewAdvisor< View >
template<class A>
| ViewAdvisor (Space &home, Propagator &p, Council< A > &c, View x0)
| Constructor for creation.
| ViewAdvisor (Space &home, ViewAdvisor< View > &a)
| Constructor for cloning a.
View | view (void) const
| Access view.
void | view (Space &home, View y)
| Replace view (also replaces subscription to view).
template<class A>
void | dispose (Space &home, Council< A > &c)
| Delete advisor.
Public Member Functions inherited from Gecode::Advisor
template<class A>
| Advisor (Space &home, Propagator &p, Council< A > &c)
| Constructor for creation.
| Advisor (Space &home, Advisor &a)
| Copying constructor.
const ViewTraceInfo & | operator() (const Space &home) const
| Provide access to view trace information.
template<class A>
void | dispose (Space &home, Council< A > &c)
| Dispose the advisor.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
Protected Member Functions inherited from Gecode::Advisor
Propagator & | propagator (void) const
| Return the advisor's propagator.

## Detailed Description

template<class View, bool pos>
class Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor

Advisor for updating current table.

Definition at line 367 of file extensional.hh.

## Constructor & Destructor Documentation

## CTAdvisor() [1/2]

template<class View, bool pos>

Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor::CTAdvisor | ( | Space & | home,
|  | Propagator & | p,
|  | Council< CTAdvisor > & | c,
|  | const TupleSet & | ts,
|  | View | x0,
|  | int | i )

inline

Initialise from parameters.

Definition at line 79 of file compact.hpp.

## CTAdvisor() [2/2]

template<class View, bool pos>

Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor::CTAdvisor | ( | Space & | home,
|  | CTAdvisor & | a )

inline

Clone advisor a.

Definition at line 88 of file compact.hpp.

## Member Function Documentation

## adjust()

template<class View, bool pos>

void Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor::adjust | ( | void |  | ) |

inline

Adjust supports.

Definition at line 47 of file compact.hpp.

## fst()

template<class View, bool pos>

const Compact< View, pos >::Range * Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor::fst | ( | void |  | ) | const

inline

Return first range of support data structure.

Definition at line 93 of file compact.hpp.

## lst()

template<class View, bool pos>

const Compact< View, pos >::Range * Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor::lst | ( | void |  | ) | const

inline

Return lasst range of support data structure.

Definition at line 99 of file compact.hpp.

## dispose()

template<class View, bool pos>

void Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor::dispose | ( | Space & | home,
|  | Council< CTAdvisor > & | c )

inline

Dispose advisor.

Definition at line 105 of file compact.hpp.

## Member Data Documentation

## _fst

template<class View, bool pos>

const Range* Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor::_fst

protected

First range of support data structure.

Definition at line 372 of file extensional.hh.

## _lst

template<class View, bool pos>

const Range* Gecode::Int::Extensional::Compact< View, pos >::CTAdvisor::_lst

protected

Last range of support data structure.

Definition at line 374 of file extensional.hh.

The documentation for this class was generated from the following files:

- gecode/int/extensional.hh
- gecode/int/extensional/compact.hpp